using Syntriax.Engine.Core;
using Syntriax.Engine.Physics2D.Abstract;

namespace Syntriax.Engine.Physics2D;

[System.Diagnostics.DebuggerDisplay("Normal: {Normal.ToString(), nq}, Penetration: {Penetration}")]
public readonly struct CollisionDetectionInformation
(
    ICollider2D Left,
    ICollider2D Right,
    Vector2D Normal,
    float Penetration
)
{
    public ICollider2D Left { get; init; } = Left;
    public ICollider2D Right { get; init; } = Right;
    public Vector2D Normal { get; init; } = Normal;
    public float Penetration { get; init; } = Penetration;
}
